This class controls the final output to the browser.

package | phpLDAPadmin
subpackage | Page

### Methods

## __construct()

    __construct($index)

### Parameters

#### $index

## block_add()

    block_add($side, $object)

### Parameters

#### $side

#### $object

## display()

    display($filter)

### Parameters

#### $filter

## head_add()

    head_add($html)

### Parameters

#### $html

## setsysmsg()

    setsysmsg($data)

### Parameters

#### $data

## Only show a particular page frame - used by an AJAX call

    show($frame, $compress, $raw)

### Parameters

#### $frame

#### $compress

#### $raw

## tree()

    tree()

## block_print()

    block_print($side)

### Parameters

#### $side

## body()

    body($raw)

### Parameters

#### $raw

## control_print()

    control_print()

## head_print()

    head_print()

## pageheader_print()

    pageheader_print()

## sysmsg()

    sysmsg()

### Properties

## $_app

    $_app

## $_default

    $_default

## $_head

    $_head

## $_pageheader

    $_pageheader